MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002502Community[OCCT] OCCT:Modeling Algorithmspublic2003-04-28 15:572006-06-29 09:15
Reporterbugmaster 
Assigned Toofv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0002502: Bug in IntCurve_IntPolyPolyGen::Perform
DescriptionBug from Open CASCADE community

Author: Fran├žois Lauzon

http://www.opencascade.org/forumorg/bug.php?bug_id=120&f=8 [^]

when I import a step file, it crash in the method Perform of
IntCurve_IntPolyPolyGen around line 475, in the following code:

if(EIP.NbRoots()==0) {
//-- On supprime tous les segments voisins
for(Standard_Integer k=sp+1;k<=Nbsp;k++) {
Standard_Integer kk=TriIndex[k];
if( Abs(SegIndex1-PtrSegIndex1[kk])< Nelarg
&& Abs(SegIndex2-PtrSegIndex2[kk])< Nelarg) {
TriIndex[k]=-k;
}
}
}
    
what is appening is that kk gets a value of -11, so it's out of bound for
PreSegIndex array and PreSegIndex2 array, if I add a check for negative kk index
it's working, but I guess it might not be a bug fix, you might want to check why
it's not working. If you need the step file, I can supply it, but it's a bit
big to post it.
TagsNo tags attached.
Test case number
Attached Filesgz file icon ofv-occ2502-v1.tar.gz (7,050 bytes) 2003-04-29 14:43

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-04-28 15:59 bugmaster Assigned To bugmaster => ofv
2003-04-28 15:59 bugmaster Status new => assigned
2003-04-28 15:59 bugmaster Summary => Bug in IntCurve_IntPolyPolyGen::Perform
2003-04-29 18:45 ofv Status assigned => resolved
2003-04-30 16:30 bugmaster CC => apv
2003-05-07 12:25 apv CC => aki
2003-05-19 11:09 bugmaster Status resolved => closed
2003-05-19 11:09 bugmaster Resolution @0@ => fixed
2004-12-30 11:31 bugmaster Customer =>
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker